# RPM specfile for libglade2 module
# Generated Wed Nov 19 17:32:06 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.16.2.3 2003/11/18 20:53:57 mibarra Exp $

%define nam	libglade2
%define ver	2.0.1
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	8

Name:     	libglade2
Version: 	2.0.1
Release:	3.ximian.6.8
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.daa.com.au/~james/gnome
Source0:	libglade-2.0.1.tar.gz
Summary:	The libglade2 library for loading user interfaces
Group:		System Environment/Libraries
Requires:	gtk2 >= 2.0.0
Requires:	libxml2 >= 2.4.10
Requires:	atk >= 1.0.0
Provides:	ximian-libglade2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	libglade2-devel < 2.0.1-3.ximian.6.8
Conflicts:	libglade2-devel > 2.0.1-3.ximian.6.8

%description
Library to load GNOME 2 user interface files at runtime This library
allows programs to load externally-stored user interfaces (.glade
files) into your program at runtime.  External storage of the
interface permits alteration of the interface without recompiling.

You can change the interface by editing the .glade files or by
using GLADE2.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
/usr/lib/lib*.so.*
/usr/lib/libglade
/usr/share/xml/libglade


%post
ldconfig

%postun
ldconfig

%package -n libglade2-devel
Summary:	The files needed for libglade2 application development.
Group:		Development/Libraries
Requires:	libglade2 = 2.0.1-3.ximian.6.8
Requires:	gtk2-devel >= 2.0.0
Requires:	libxml2-devel >= 2.4.10
Requires:	atk-devel >= 1.0.0
Provides:	ximian-libglade2-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libglade2-devel
The libglade2-devel package contains the libraries, include files,
etc., that you can use to develop libglade2 applications.

%files -n libglade2-devel
%defattr(-, root, root)
/usr/bin/libglade-convert
/usr/lib/pkgconfig/
/usr/lib/lib*.so
/usr/lib/*.a
/usr/include/*
/usr/share/gtk-doc/html/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libglade-2.0.1
    ;;
all)
%setup  -q -n libglade-2.0.1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/usr/lib/*.la; mkdir -p ${DESTDIR}/usr/lib/libglade/2.0
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Nov 19 2003 Ximian, Inc.

- Version: 2.0.1-3.ximian.6.8
- Summary: New build.
- New automated build.

